##
##  knot.conf -- Knot DNS Server Configuration
##

system {
    identity "KNOT DNS";
    storage "@l_prefix@/var/knot/zones";
    pidfile "@l_prefix@/var/knot/run/knot.pid";
    workers 1;
    user @l_rusr@.@l_rgrp@;
}

interfaces {
    ipv4 { 
        address 127.0.0.1;
        port 5353;
    }
}

zones {
    example.com {
        file "@l_prefix@/etc/knot/zones/example.com";
    }
}

log {
    file "@l_prefix@/var/knot/log/knot.log" {
        any warning, error;
        zone warning, notice;
        server info;
    }
}

